package cn.zhangdeman.exception;

// 获取一个异常定义
public class CustomExceptionConfig implements ICustomExceptionConfig{
    private final String category;
    private final String code;
    private final String message;
    CustomExceptionConfig(String category, String code, String message) {
        this.category = category;
        this.code = code;
        this.message = message;
    }
    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMessage() {
        return message;
    }

    @Override
    public String getCategory() {
        return category;
    }
}
