package cn.zhangdeman.filter;

// 日志相关数据的枚举值
public class LogField {
    // 定义日志类型
    public static final String LOG_TYPE_ACCESS = "access"; // 服务请求记录
    public static final String LOG_TYPE_INPUT = "input"; // 请求输入信息
    public static final String LOG_TYPE_OUTPUT = "output"; // 请求输出信息
    public static final String LOG_TYPE_API = "api"; // 接口请求记录
    public static final String LOG_TYPE_MONITOR = "monitor"; // 系统监控
    public static final String LOG_TYPE_DATABASE = "database"; // 数据库
    public static final String LOG_TYPE_REDIS = "redis"; // redis日志
    public static final String LOG_TYPE_KAFKA = "kafka"; // kafka日志
    // 定义各种日志文件名称
    public static final String LOG_ACCESS_NAME = "access.log"; // 访问日志
    public static final String LOG_REQUEST_NAME = "request.log"; // 请求日志
    public static final String LOG_API_NAME = "api.log"; // 三方调用日志
    public static final String LOG_MONITOR_NAME = "monitor.log"; // 监控日志
    public static final String LOG_DATABASE_NAME = "database.log"; // 数据库日志
    public static final String LOG_CACHE_NAME = "cache.log"; // 缓存日志
    public static final String LOG_MESSAGE_NAME = "message.log"; // 消息队列日志
}
